Package: org.codehaus.groovy.ast.expr

## [Java] Class BinaryExpression

- org.codehaus.groovy.ast.expr.BinaryExpression

-     public class BinaryExpression
      extends Expression

  Represents two expressions and an operation

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression)`
    `BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression, boolean safe)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getLeftExpression()`
    `` | `public Token` | `getOperation()`
    `` | `public Expression` | `getRightExpression()`
    `` | `public String` | `getText()`
    `` | `public boolean` | `isSafe()`
    `` | `public static BinaryExpression` | `newAssignmentExpression(Variable variable, Expression rhs)`
    `` | `public static BinaryExpression` | `newInitializationExpression(String variable, ClassNode type, Expression rhs)`
    `` | `public void` | `setLeftExpression(Expression leftExpression)`
    `` | `public void` | `setRightExpression(Expression rightExpression)`
    `` | `public void` | `setSafe(boolean safe)`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression)

    - #### public BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression, boolean safe)

  - ### Method Detail

    - #### public Expression getLeftExpression()

    - #### public Token getOperation()

    - #### public Expression getRightExpression()

    - #### @Override
      public String getText()

    - #### public boolean isSafe()

    - #### public static BinaryExpression newAssignmentExpression(Variable variable, Expression rhs)

    - #### public static BinaryExpression newInitializationExpression(String variable, ClassNode type, Expression rhs)

    - #### public void setLeftExpression(Expression leftExpression)

    - #### public void setRightExpression(Expression rightExpression)

    - #### public void setSafe(boolean safe)

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)